Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.database
Class MYSQLDatabase

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.utils.rdbms.JDBC
              fr.gouv.culture.sdx.utils.rdbms.DataSourceComponentBacked
                  fr.gouv.culture.sdx.utils.database.AbstractJDBCDatabase
                      fr.gouv.culture.sdx.utils.database.JDBCDatabase
                          fr.gouv.culture.sdx.utils.database.MYSQLDatabase

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, Database, Describable, Encodable, Identifiable, Localizable, org.apache.avalon.framework.logger.LogEnabled, Saveable, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

public class MYSQLDatabase
extends JDBCDatabase

Created by IntelliJ IDEA. User: rpandey Date: 3 févr. 2004 Time: 16:14:24 To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.rdbms.JDBC
`JDBC.QueryExecutor, JDBC.Template`

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected java.lang.String` | `FIELD_KEY`

Fields inherited from class fr.gouv.culture.sdx.utils.database.AbstractJDBCDatabase
`_searchModes, COLUMN_PARAM_INDEX_FIELD_ID, COLUMN_PARAM_INDEX_FIELD_PROPERTY_NAME, COLUMN_PARAM_INDEX_FIELD_PROPERTY_VALUE, FIELD_ID, FIELD_PROPERTY_NAME, FIELD_PROPERTY_VALUE`

Fields inherited from class fr.gouv.culture.sdx.utils.rdbms.DataSourceComponentBacked
`ATTRIBUTE_DSI, dbSelector, dsi`

Fields inherited from class fr.gouv.culture.sdx.utils.rdbms.JDBC
`tableName`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.utils.database.Database
`CLASS_NAME_SUFFIX, DATABASE_DIR_PATH, PACKAGE_QUALNAME, SEARCH_MODE_AND, SEARCH_MODE_NOT, SEARCH_MODE_OR`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Fields inherited from interface fr.gouv.culture.sdx.utils.save.Saveable
`ALL_SAVE_ATTRIB, PATH_ATTRIB, SAVE_DIRECTORY_PARAM`

Constructor Summary
`MYSQLDatabase()`

Method Summary
`void` | `backup(SaveParameters save_config)` Save the database
`protected java.lang.String` | `getEntriesWithLimitQuery(long offset, long number)` Implementation of statement with a limit parameter
`protected java.lang.String` | `getTableCreationQuery()` Returns an SQL query that could create the table.
`protected boolean` | `initToSax()` Init the LinkedHashMap _xmlizable_objects with the objects in order to describ them in XML
`void` | `restore(SaveParameters save_config)` Restore the database

Methods inherited from class fr.gouv.culture.sdx.utils.database.JDBCDatabase
`getDatabaseDirectoryName, initVolatileObjectsToSax, optimize`

Methods inherited from class fr.gouv.culture.sdx.utils.database.AbstractJDBCDatabase
`addProperty, configure, createIndicies, delete, delete, empty, entityExists, getAllEntitiesQuery, getClassNameSuffix, getConnection, getCreateIndiciesQuery, getDeleteAllQuery, getEntities, getEntities, getEntity, getEntity, getEntityDeleteQuery, getEntityGetQuery, getEntityIds, getProperties, getPropertyAddQuery, getPropertyRemoveQueryWithId, getPropertyRemoveQueryWithoutId, getPropertyValue, getPropertyValues, getWildcardSearchToken, init, releaseConnection, removeProperty, removeProperty, save, search, search, searchWithParams, size, update`

Methods inherited from class fr.gouv.culture.sdx.utils.rdbms.DataSourceComponentBacked
`finalize, getDataSourceComponent, releaseDataSourceComponent, service`

Methods inherited from class fr.gouv.culture.sdx.utils.rdbms.JDBC
`createTable, getTableName, handleUnsupportedTokens`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### FIELD_KEY

    protected final java.lang.String FIELD_KEY

See Also:
  Constant Field Values

Constructor Detail

### MYSQLDatabase

    public MYSQLDatabase()

Method Detail

### getTableCreationQuery

    protected java.lang.String getTableCreationQuery()

  Description copied from class: `JDBC`
  Returns an SQL query that could create the table.

  This query should not have any parameter.

  Overrides:
    `getTableCreationQuery` in class `AbstractJDBCDatabase`

### initToSax

    protected boolean initToSax()

  Description copied from class: `AbstractSdxObject`
  Init the LinkedHashMap _xmlizable_objects with the objects in order to describ them in XML

  Overrides:
    `initToSax` in class `JDBCDatabase`

### backup

    public void backup(SaveParameters save_config)
                throws SDXException

  Save the database

  Specified by:
    `backup` in interface `Saveable`
  Overrides:
    `backup` in class `AbstractJDBCDatabase`
  Throws:
    `SDXException`
  See Also:
    `Saveable.backup(fr.gouv.culture.sdx.utils.save.SaveParameters)`

### getEntriesWithLimitQuery

    protected java.lang.String getEntriesWithLimitQuery(long offset,
                                                        long number)

  Description copied from class: `AbstractJDBCDatabase`
  Implementation of statement with a limit parameter

  Overrides:
    `getEntriesWithLimitQuery` in class `JDBCDatabase`
  See Also:
    `MYSQL implementation SELECT * FROM >table_name< LIMIT >offset<,>number< ;`

### restore

    public void restore(SaveParameters save_config)
                 throws SDXException

  Restore the database

  Specified by:
    `restore` in interface `Saveable`
  Overrides:
    `restore` in class `AbstractJDBCDatabase`
  Throws:
    `SDXException`
  See Also:
    `Saveable.restore(fr.gouv.culture.sdx.utils.save.SaveParameters)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.